-- Author      : Txty
-- Create Date : 9/23/2014 12:27:36 AM
local _, namespace = ...
local menuFrame2 = CreateFrame("Frame", "ExampleMenuFrame", UIParent, "UIDropDownMenuTemplate")
local L = namespace.L
local myButt = {}
local myBg ={}
	myBg["ab"] = {1, 5}
	myBg["av"] = {6, 19}
	myBg["wsg"] = {20, 21}
	myBg["dwg"] = {22, 26}
	myBg["tbfg"] = {27, 29}
	myBg["eots"] = {30, 34}
	myBg["ssm"] = {35, 37}
	myBg["sota"] = {38, 42}
	myBg["ioc"] = {43, 47}
--	myBg["tp"] = {48, 52}
--	myBg["tok"] = {48, 52}
--	myBg["ss"] = {48, 52}
--	myBg["bfw"] = {48, 52}
--	myBg["ash"] = {53, 57}
-------------------------------------
local op = {
	[1]=true,
	[6]=true,
	[20]=true,
	[22]=true,
	[27]=true,
	[30]=true,
	[35]=true,
	[38]=true,
	[43]=true
--	[43]=true -- Twin Peaks
--	[43]=true -- Temple of Kotmondu
--	[43]=true -- Seething Shore
--	[43]=true -- Battle for Wintergrasp
--	[43]=true -- Ashran
}
-------------------------------------
function namespace.myButtons(whatToDo, bg)
--	DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccfftarget: " .. bg)
	local x, y
	x = myBg[bg][1]
	y = myBg[bg][2]
	for i=1, #myButt do myButt[i]:Hide() end
	if whatToDo == "set" then
		for i = x+1,y,1 do myButt[i]:Show() end
	else
		for i = x,y,1 do myButt[i]:Show() end
	end
end
-------------------------------------
-- Frame
-------------------------------------
local function SetupBGFrame(frame)
	frame:SetMovable(true)
	frame:EnableMouse(true)
	frame:RegisterForDrag("LeftButton")
	frame:SetScript("OnDragStart", frame.StartMoving)
	frame:SetScript("OnDragStop", frame.StopMovingOrSizing)
--	frame:SetPoint("CENTER", UIParent, "CENTER", 0, 0)
	-- The code below makes the frame visible
	frame:SetBackdrop({
--		bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", tile = true, tileSize = 20,
		edgeFile = "Interface\\Buttons\\WHITE8x8", edgeSize = 42,
		insets = { left = 10, right = 10, top = 10, bottom = 10 }
		})
--	frame:SetSize(1*40+18, 6*40+18)
	frame:SetClampedToScreen(true)
	return frame
end
-------------------------------------
local function LocationButton_OnClick(self, mouseButton)
--	BGCallouts:Print(self:GetParent():GetName())
--	local frame = self:GetParent()
	namespace.config.db.char.button = self.location
	menuFrame2:SetPoint("Center", BGCallouts, "BOTTOMRIGHT")
	local name = string.sub(self.location,1,4)
	if namespace.config.db.char.lock == false then  -- opacity 0.5 Unlocked
		if mouseButton == "RightButton" then
			EasyMenu(namespace.menu, menuFrame2, menuFrame, 20, 220, "MENU");			
		end	
	elseif namespace.config.db.char.lock == true then  -- opacity 1 Locked
		if mouseButton == "RightButton" then
			EasyMenu(namespace.menu1, menuFrame2, menuFrame, 20, 175, "MENU");
		elseif mouseButton == "LeftButton" then
			EasyMenu(namespace.menu2, menuFrame2, menuFrame, 20, 220, "MENU");
		end
	end
end
-------------------------------------
-- Buttons
-------------------------------------
local function AddLocationButton(frameName, name, texture)
	local button = CreateFrame("Button", nil, frameName, "SecureActionButtonTemplate")
	button:SetSize(40, 40)
	button:RegisterForClicks("LeftButtonUp", "RightButtonUp")
	button:SetScript("OnClick", LocationButton_OnClick)

	-- Store the location name on the button:
	button.location = name
	-- Apply the specified texture:
	button:SetNormalTexture("Interface\\AddOns\\BGCallouts\\Icons\\"..texture)
	button:SetHighlightTexture("Interface\\AddOns\\BGCallouts\\Icons\\highlight")

	-- Store the button on the frame:
	frameName.locations = frameName.locations or {}
	tinsert(frameName.locations, button)

	-- Automatically place the button:
	local i = #frameName.locations
	table.insert(myButt, button)
	if op[i] == true then --i == 1 or i == 6 or i == 20
		--This is the first button on this frame, attach it to the top:
		button:SetPoint("TOPRIGHT", -9, -10)
	elseif i == 13 then -- for av that has 2 columns
		button:SetPoint("TOPLEFT", 9, -10)
	else
		button:SetPoint("TOPLEFT", frameName.locations[i-1], "BOTTOMLEFT")
	end	
	return button
end
-------------------------------------
-- Create Frames and Buttons
-------------------------------------
local function createF(frameName)
	SetupBGFrame(frameName)
	--------------
	-- Buttons	
	--------------
	-- Arathi Basin
	AddLocationButton(frameName, L["Farm"], "farm")
	AddLocationButton(frameName, L["Mine"], "gm")
	AddLocationButton(frameName, L["BS"], "blacksmith")
	AddLocationButton(frameName, L["LM"], "lumbermill")
	AddLocationButton(frameName, L["Stable"], "stable")
	-- Alterac Valley Alliance
	AddLocationButton(frameName, L["Stonehearth"], "sh")
	AddLocationButton(frameName, L["Icewing"], "iw")
	AddLocationButton(frameName, L["Bal"], "balinda")
	AddLocationButton(frameName, L["North Bunker"], "bunker1")
	AddLocationButton(frameName, L["South Bunker"], "bunker2")
	AddLocationButton(frameName, L["Dun Baldar"], "akeep")
	AddLocationButton(frameName, L["Van"], "vanndar")
	-- Alterac Valley Horde
	AddLocationButton(frameName, L["Iceblood"], "ib")
	AddLocationButton(frameName, L["TP"], "tp")
	AddLocationButton(frameName, L["Galv"], "galvangar")
	AddLocationButton(frameName, L["West Tower"], "tower1")
	AddLocationButton(frameName, L["East Tower"], "tower2")
	AddLocationButton(frameName, L["Frostwolf Keep"], "hkeep")
	AddLocationButton(frameName, L["Drek"], "drek")
	-- Warsong Gulch
	AddLocationButton(frameName, L["alliance flag carrier"], "AFC") --20
	AddLocationButton(frameName, L["horde flag carrier"], "HFC")
	-- Deepwind Gorge
	AddLocationButton(frameName, L["Quarry"], "qua")				--22
	AddLocationButton(frameName, L["Farm"], "far")
	AddLocationButton(frameName, L["Market"], "mar")
	AddLocationButton(frameName, L["Ruins"], "rui")
	AddLocationButton(frameName, L["Shrine"], "shr")
	-- The Battle for Gilneas
	AddLocationButton(frameName, L["Mine"], "mine")					--27
	AddLocationButton(frameName, L["WW"], "waterworks")
	AddLocationButton(frameName, L["LH"], "lighthouse")
	-- Eye of the Storm
	AddLocationButton(frameName, L["MT"], "magetower")				--30
	AddLocationButton(frameName, L["DR"], "draenei")
	AddLocationButton(frameName, L["Flag"], "flag")
	AddLocationButton(frameName, L["FR"], "felreaver")
	AddLocationButton(frameName, L["BE"], "bloodelf")
	-- Silvershards Mines
	AddLocationButton(frameName, L["Top"], "lake")					--35
	AddLocationButton(frameName, L["Lava"], "lava")
	AddLocationButton(frameName, L["Bottom"], "oil")
	-- Strand of the Ancients
	AddLocationButton(frameName, L["Green"], "green")				--38
	AddLocationButton(frameName, L["Blue"], "blue")
	AddLocationButton(frameName, L["Purple"], "purple")
	AddLocationButton(frameName, L["Red"], "red")
	AddLocationButton(frameName, L["Yellow"], "yellow")
	-- Isle of Conquest
	AddLocationButton(frameName, L["Alliance keep"], "akeep")		--43
	AddLocationButton(frameName, L["Docks"], "docks")
	AddLocationButton(frameName, L["Workshop"], "workshop")
	AddLocationButton(frameName, L["Hangar"], "hangar")
	AddLocationButton(frameName, L["Horde keep"], "hkeep")
end
-------------------------------------
-- Create Frames and Buttons
-------------------------------------
function namespace.init(frameName)
	local frame = CreateFrame('Frame', framename, UIParent, BackdropTemplateMixin and "BackdropTemplate")
	createF(frame)
	return frame
end
-- END ------------------------------