-- Author      : Txty
-- Create Date : 9/23/2014 12:27:36 AM
local _, namespace = ...
local L = namespace.L
-------------------------------------
local myTable = {}
	myTable["Grey"] = {0.50,0.50,0.50}
	myTable["Black"] = {0.00,0.00,0.00}
	myTable["Death Knight"] = {0.77,0.12,0.23}
	myTable["Demon Hunter"] = {0.64,0.19,0.79}
	myTable["Druid"] = {1.00,0.49,0.04}
	myTable["Hunter"] = {0.67,0.83,0.45}
	myTable["Mage"] = {0.25,0.78,0.92}
	myTable["Monk"] = {0.00,1.00,0.59}
	myTable["Paladin"] = {0.96,0.55,0.73}
	myTable["Priest"] = {1.00,1.00,1.00}
	myTable["Rogue"] = {1.00,0.96,0.41}
	myTable["Shaman"] = {0.00,0.44,0.87	}
	myTable["Warlock"] = {0.53,0.53,0.93}
	myTable["Warrior"] = {0.78,0.61,0.43}
-------------------------------------
local chatArray = { "1.General", "2.Trade", "3.LocalDefense", "4.WorldDefense", "5.LookingForGroup", "6.facesummons" }
-------------------------------------
namespace.iidBG = {}
	namespace.iidBG[30] = {"av", 7, 2}
	namespace.iidBG[2107] = {"ab", 5, 1}
	namespace.iidBG[529] = {"ab", 5, 1}
	namespace.iidBG[1681] = {"ab", 5, 1}
	namespace.iidBG[2177] = {"ab", 5, 1}
--	namespace.iidBG[2118] = {"ash", 5, 1}
--	namespace.iidBG[2118] = {"bfw", 5, 1}
	namespace.iidBG[1105] = {"dwg", 5, 1}
	namespace.iidBG[2245] = {"dwg", 5, 1}
	namespace.iidBG[566] = {"eots", 5, 1}
	namespace.iidBG[968] = {"eots", 5, 1}
	namespace.iidBG[628] = {"ioc", 5, 1}
--	namespace.iidBG[1803] = {"ss", 5, 1}
	namespace.iidBG[727] = {"ssm", 3, 1}
--	namespace.iidBG[607] = {"sota", 5, 1}
--	namespace.iidBG[998] = {"tok", 5, 1}
	namespace.iidBG[761] = {"tbfg", 3, 1}
--	namespace.iidBG[726] = {"tp", 5, 1}
	namespace.iidBG[489] = {"wsg", 2, 1}
	namespace.iidBG[2106] = {"wsg", 2, 1}			
-------------------------------------
function namespace.setBattleground(iid)
	local bg,row,col
	if namespace.iidBG[iid] then
		bg = namespace.iidBG[iid][1]
		row = namespace.iidBG[iid][2]
		col = namespace.iidBG[iid][3]	
	end
	namespace.config.db.char.row = row
	namespace.config.db.char.col = col
	namespace.config.db.char.bg = bg
	BGCallouts:SetSize(namespace.config.db.char.col * 40+18, namespace.config.db.char.row * 40+18)
	namespace.myUnLock(BGCallouts)
return end
-----------------------------------
function namespace.classColor(class)
	local x,y,z
	if myTable[class] then
		x = myTable[class][1]
		y = myTable[class][2]
		z = myTable[class][3]
	end
	namespace.config.db.char.color = class
	BGCallouts:SetBackdropBorderColor(x, y, z, 0.7)
end
-----------------------------------
local function channelChat(number)
	return chatArray[number]
end
-----------------------------------
function namespace.SetChatType(msg)
	if msg == 'RAID_WARNING' then
		DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccffYou must be raid leader or assistant.") end
	if string.len(msg) <= 2 then 
		namespace.config.db.char.chatType = channelChat(msg) --"CHANNEL"
		namespace.config.db.char.target = tonumber(msg)	-- channel number ex. 2.Tradechannel
	else
		namespace.config.db.char.chatType = msg
		namespace.config.db.char.target = nil	-- no channel number ex. PARTY, SAY
	end
		DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccffYou are now sending to: " .. namespace.config.db.char.chatType)
end
-------------------------------------
function namespace.myLock(frameName)
	local point, relativeTo, relativePoint, xOfs, yOfs = frameName:GetPoint()
		frameName:SetMovable(false)
		frameName:EnableMouse(false)
		frameName:SetAlpha(1)
		namespace.config.db.char.lock = true
		namespace.config.db.char.point = point
		namespace.config.db.char.relativePoint = relativePoint
		namespace.config.db.char.setPointx = xOfs
		namespace.config.db.char.setPointy = yOfs
		namespace.myButtons("show", namespace.config.db.char.bg)
	end
-----------------------------------
function namespace.myUnLock(frameName)
	frameName:SetMovable(true)
	frameName:EnableMouse(true)
	frameName:RegisterForDrag("LeftButton")
	frameName:SetAlpha(0.5)
	namespace.config.db.char.lock = false
	namespace.myButtons("set", namespace.config.db.char.bg)
end
-------------------------------------
local function SetMyScale(size)
	namespace.config.db.char.size = size
	BGCallouts:SetScale(size)
end
-------------------------------------
local function disableFrame()
	namespace.config.db.char.enabled = false
	BGCallouts:Hide()
	DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccff" .. "Addon is disabled" .. " " .. "'/dhb show' for enable it.")
end
-------------------------------------
local function sendEmote(msg)
	SendChatMessage(msg, "EMOTE")
end
-------------------------------------
local function setLanguage(msg,language)
	namespace.config.db.char.language = language
	DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccff" .. msg)
end
-------------------------------------
local function setTarget()
	if UnitExists("target") then
		namespace.config.db.char.playerName = GetUnitName('target', true)
		DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccffYou will now whisper " .. namespace.config.db.char.playerName)
		namespace.SetChatType("WHISPER")
	else
		DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccffYou have no target")
	end
end
-------------------------------------
local function getButton()
	return namespace.config.db.char.button
end
-------------------------------------
local function macroExist(name)
	if select(1,GetMacroInfo(name)) == nil then
		msg = "'!msg3' or '!msg4' do not exist."
	elseif select(3,GetMacroInfo(name)) == "" then
		msg = "'!msg3' or '!msg4' has no content."	
	else
		msg = select(3,GetMacroInfo(name))
	end
	return msg
end
-------------------------------------
-- Message
-------------------------------------
local function MessageTextBefore(icon,message,name)
--	DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccfftarget: " .. chatType)
	if (namespace.config.db.char.chatType == 'system' or string.sub(message,1,18) == "'!msg3' or '!msg4'") then
		DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccff" .. icon .. message .. name)
	elseif namespace.config.db.char.chatType == 'WHISPER' then
		SendChatMessage(format("%s %s %s", icon, message, name), namespace.config.db.char.chatType, namespace.config.db.char.language, namespace.config.db.char.playerName)
	else
		SendChatMessage(format("%s %s %s", icon, message, name), namespace.config.db.char.chatType, namespace.config.db.char.language, namespace.config.db.char.target)
	end
end
-------------------------------------
-- Menus
-------------------------------------
namespace.menu = {
	{ text = "|cfffff569Menu", notCheckable = true, isTitle = true},
	{ text = "Lock Frame", notCheckable = true, func = function() namespace.myLock(BGCallouts); end},
	{ text = "Set color", notCheckable = true, hasArrow = true, menuList = {
			{ text = "|cfffff569Select a class color", notCheckable = true, isTitle = true},
			{ text = "Grey", notCheckable = true, func = function() namespace.classColor("Grey"); end},
			{ text = "Black", notCheckable = true, func = function() namespace.classColor("Black"); end},
			{ text = "Death Knight", notCheckable = true, func = function() namespace.classColor("Death Knight"); end},
			{ text = "Demon Hunter", notCheckable = true, func = function() namespace.classColor("Demon Hunter"); end},
			{ text = "Druid", notCheckable = true, func = function() namespace.classColor("Druid"); end},
			{ text = "Hunter", notCheckable = true, func = function() namespace.classColor("Hunter"); end},
			{ text = "Mage", notCheckable = true, func = function() namespace.classColor("Mage"); end},
			{ text = "Monk", notCheckable = true, func = function() namespace.classColor("Monk"); end},
			{ text = "Paladin", notCheckable = true, func = function() namespace.classColor("Paladin"); end},
			{ text = "Priest", notCheckable = true, func = function() namespace.classColor("Priest"); end},
			{ text = "Rogue", notCheckable = true, func = function() namespace.classColor("Rogue"); end},
			{ text = "Shaman", notCheckable = true, func = function() namespace.classColor("Shaman"); end},
			{ text = "Warlock", notCheckable = true, func = function() namespace.classColor("Warlock"); end},
			{ text = "Warrior", notCheckable = true, func = function() namespace.classColor("Warrior"); end}
		},
	},
	{ text = "Set scale", notCheckable = true, hasArrow = true, menuList = {
			{ text = "|cfffff569Select a size", notCheckable = true, isTitle = true},
			{ text = "Extra small", notCheckable = true, func = function() SetMyScale(0.5); end},
			{ text = "Small", notCheckable = true, func = function() SetMyScale(0.6); end},
			{ text = "Medium", notCheckable = true, func = function() SetMyScale(0.8); end},
			{ text = "Large", notCheckable = true, func = function() SetMyScale(1.0); end},
			{ text = "Extra Large", notCheckable = true, func = function() SetMyScale(1.2); end}			
		},
	},
	{ text = "Set channel", notCheckable = true, hasArrow = true, menuList = {
			{ text = "|cfffff569Select a chat type", notCheckable = true, isTitle = true},
			{ text = "Say", notCheckable = true, func = function() namespace.SetChatType("SAY"); end},
			{ text = "Yell", notCheckable = true, func = function() namespace.SetChatType("YELL"); end},
			{ text = "Party", notCheckable = true, func = function() namespace.SetChatType("PARTY"); end},
			{ text = "Raid", notCheckable = true, func = function() namespace.SetChatType("RAID"); end},
			{ text = "Raid warning", notCheckable = true, func = function() namespace.SetChatType("RAID_WARNING"); end},
			{ text = "Instance chat", notCheckable = true, func = function() namespace.SetChatType("INSTANCE_CHAT"); end},
			{ text = "Whisper (Set Target)", notCheckable = true, func = function() setTarget(); end},
			{ text = "Set channel", notCheckable = true, hasArrow = true, menuList = {
					{ text = "1.General", notCheckable = true, func = function() namespace.SetChatType(1); end},
					{ text = "2.Trade", notCheckable = true, func = function() namespace.SetChatType(2); end},
					{ text = "3.LocalDefense", notCheckable = true, func = function() namespace.SetChatType(3); end}
--					{ text = "4.WorldDefense", notCheckable = true, func = function() namespace.SetChatType(4); end},
--					{ text = "5.LookingForGroup", notCheckable = true, func = function() namespace.SetChatType(5); end},
--					{ text = "6.facesummons", notCheckable = true, func = function() namespace.SetChatType(6); end}
				},
			},
			{ text = "AFK", notCheckable = true, func = function() namespace.SetChatType("AFK"); end},
			{ text = "DND", notCheckable = true, func = function() namespace.SetChatType("DND"); end},
			{ text = "'System'", notCheckable = true, func = function() namespace.SetChatType("system"); end}
		},
	},
	{ text = "Set language", notCheckable = true, hasArrow = true, menuList = {
			{ text = "|cfffff569Alliance languages", notCheckable = true, isTitle = true},
			{ text = "Humans - common", notCheckable = true, func = function() setLanguage('Common',7); end},
			{ text = "Night Elves - Darnassian", notCheckable = true, func = function() setLanguage('Darnassian',2); end},
			{ text = "Dwarves Dwarven", notCheckable = true, func = function() setLanguage('Dwarven',6); end},
			{ text = "Gnomes - Gnomish", notCheckable = true, func = function() setLanguage('Gnomish',13); end},
			{ text = "Draenei - Draenei", notCheckable = true, func = function() setLanguage('Draenei',35); end},
			{ text = "Worgen - common", notCheckable = true, func = function() setLanguage('Common',7); end},
			{ text = "Void elves - Thalassian", notCheckable = true, func = function() setLanguage('Thalassian',182); end},
			{ text = "|cfffff569Horde languages", notCheckable = true, isTitle = true},
			{ text = "Orcs - Orcish - common", notCheckable = true, func = function() setLanguage('Orcish',1); end},
			{ text = "Trolls - Zandali", notCheckable = true, func = function() setLanguage('Zandali',14); end},
			{ text = "Tauren - Taur-ahe", notCheckable = true, func = function() setLanguage('Taur-ahe',3); end},
			{ text = "Forsaken - Gutterspeak", notCheckable = true, func = function() setLanguage('Gutterspeak',33); end},
			{ text = "Blood Elves - Thalassian", notCheckable = true, func = function() setLanguage('Thalassian',182); end},
			{ text = "Goblin - Goblin", notCheckable = true, func = function() setLanguage('Goblin',40); end},
			{ text = "Nightborne - Shalassian", notCheckable = true, func = function() setLanguage('Shalassian',181); end},
			{ text = "Vulpera - Vulpera", notCheckable = true, func = function() setLanguage('Vulpera',285); end},
			{ text = "|cfffff569Cross-faction languages", notCheckable = true, isTitle = true},
			{ text = "|cffdae3e0Thalassian - see above", notCheckable = true, disabled = true, func = function() setLanguage('Thalassian',182); end},
			{ text = "Pandaren - Pandaren", notCheckable = true, func = function() setLanguage('Pandaren',42); end},
			{ text = "|cffdae3e0Demon Hunters - Demonic - talent", notCheckable = true, func = function() setLanguage('Demonic',8); end}
		},
	},
	{ text = "Set Battleground", notCheckable = true, hasArrow = true, menuList = {
			{ text = "|cfffff569Select a Battleground", notCheckable = true, isTitle = true},
			{ text = "Alterac Valley", notCheckable = true, func = function() namespace.setBattleground(30); end},
			{ text = "Arathi Basin", notCheckable = true, func = function() namespace.setBattleground(2107); end},
			{ text = "Ashran", notCheckable = true, disabled = true, func = function() namespace.setBattleground(30); end},
			{ text = "Battle for Wintergrasp", notCheckable = true, disabled = true, func = function() namespace.setBattleground(2118); end},
			{ text = "Deepwind Gorge", notCheckable = true, func = function() namespace.setBattleground(1105); end},
			{ text = "Eye of the Storm", notCheckable = true, func = function() namespace.setBattleground(566); end},
			{ text = "Isle of Conquest", notCheckable = true, func = function() namespace.setBattleground(628); end},
			{ text = "Seething Shore", notCheckable = true, disabled = true, func = function() namespace.setBattleground(1803); end},
			{ text = "Silvershard Mines", notCheckable = true, func = function() namespace.setBattleground(727); end},
--			{ text = "Strand of the Ancients", notCheckable = true, disabled = true,func = function() namespace.setBattleground(607); end},
			{ text = "Temple of Kotmogu", notCheckable = true, disabled = true, func = function() namespace.setBattleground(998); end},
			{ text = "The Battle for Gilneas", notCheckable = true, func = function() namespace.setBattleground(761); end},
			{ text = "Twin Peaks", notCheckable = true, disabled = true, func = function() namespace.setBattleground(726); end},
			{ text = "Warsong Gulch", notCheckable = true, func = function() namespace.setBattleground(489); end}
		},
	},	
	{ text = "Information", notCheckable = true, hasArrow = true, menuList = {
			{ text = "Information", notCheckable = true, hasArrow = true, menuList = {
					{ text = "Information", notCheckable = true, isTitle = true},
					{ text = "Unlocked and Left Mouse Button", colorCode = "|cfffff569", notCheckable = true},
					{ text = "Top button will be hidden and clickable for moving.", notCheckable = true},
					{ text = "Unlocked and Right Mouse Button", colorCode = "|cfffff569", notCheckable = true},
					{ text = "Buttons is for menu.", notCheckable = true},
					{ text = "Set target will reset every time you reload.", notCheckable = true},
					{ text = "Disable frame and it will not auto pop up.", notCheckable = true},
					{ text = "Locked and Left Mouse Button", colorCode = "|cfffff569", notCheckable = true},
					{ text = "This is for custom messages and emotes.", notCheckable = true},
					{ text = "!msg3 - is custom mesage or a custom emote.", notCheckable = true},
					{ text = "!msg4 - is for DoEmotes or sound emotes, you type in (ex. chicken).", notCheckable = true},
					{ text = "A handful of emotes.", notCheckable = true},
					{ text = "Locked and Right Mouse Button", colorCode = "|cfffff569", notCheckable = true},
					{ text = "This is the core of the addon.", notCheckable = true},
					{ text = "Here you set number of incoming players or if base is safe.", notCheckable = true},
					{ text = "Remember", colorCode = "|cfffff569", notCheckable = true},
					{ text = "You have to 'Lock Frame' to store position.", notCheckable = true},
					{ text = "Name custom messages !msg3 and !msg4 to not interfer with my other addon 'DungeonHelper2'", notCheckable = true},
					{ text = "For the 'DoEmotes' to work you can not have a carriage return in your macro body.", notCheckable = true},
					{ text = "Enable sound for the emotes in system settings.", notCheckable = true}
				},	
			},
		},
	},
	{ text = "Hide Frame", notCheckable = true, func = function() BGCallouts:Hide(); end},
	{ text = "Disable Frame", notCheckable = true, func = function() disableFrame(); end}
}
-------------------------------------
namespace.menu1 = {
	{ text = "1", notCheckable = true, func = function() MessageTextBefore("", L["1 incoming at"], getButton()); end},
	{ text = "2", notCheckable = true, func = function() MessageTextBefore("", L["2 incoming at"], getButton()); end},
	{ text = "3", notCheckable = true, func = function() MessageTextBefore("", L["3 incoming at"], getButton()); end},
	{ text = "4", notCheckable = true, func = function() MessageTextBefore("", L["4 incoming at"], getButton()); end},
	{ text = "Big incoming", notCheckable = true, func = function() MessageTextBefore("{rt7}", L["Big incoming at"], getButton()); end},
	{ text = "All to", notCheckable = true, func = function() MessageTextBefore("{rt8}", L["All to"], getButton()); end},
	{ text = "is safe", notCheckable = true, func = function() MessageTextBefore("{rt4}", getButton(), L["is safe"]); end},
}
-------------------------------------
namespace.menu2 = {
	{ text = "Custom !msg3", notCheckable = true, func = function() MessageTextBefore('', macroExist('!msg3'), ''); end},
	{ text = "Custom !msg4", notCheckable = true, func = function() MessageTextBefore('', macroExist('!msg4'), ''); end},
	{ text = "|cfffff569---------------", notCheckable = true, isTitle = true},
	{ text = "Custom Emote !msg3", notCheckable = true, func = function() sendEmote(macroExist('!msg3')); end},
	{ text = "DoEmote !msg4", notCheckable = true, func = function() DoEmote(macroExist('!msg4')); end},
	{ text = "|cfffff569---------------", notCheckable = true, isTitle = true},
	{ text = "Emotes A-K", notCheckable = true, hasArrow = true, menuList = {
			{ text = "|cfffff569AB ---------", notCheckable = true, isTitle = true},
			{ text = "blush", notCheckable = true, func = function() DoEmote("blush"); end},
			{ text = "bonk", notCheckable = true, func = function() DoEmote("bonk"); end},
			{ text = "bow", notCheckable = true, func = function() DoEmote("bow"); end},
			{ text = "bye", notCheckable = true, func = function() DoEmote("bye"); end},
			{ text = "|cfffff569C ----------", notCheckable = true, isTitle = true},
			{ text = "cheer", notCheckable = true, func = function() DoEmote("cheer"); end},
			{ text = "chicken", notCheckable = true, func = function() DoEmote("chicken"); end},
			{ text = "clap", notCheckable = true, func = function() DoEmote("clap"); end},
			{ text = "commend", notCheckable = true, func = function() DoEmote("commend"); end},
			{ text = "confused", notCheckable = true, func = function() DoEmote("confused"); end},
			{ text = "curious", notCheckable = true, func = function() DoEmote("curious"); end},
			{ text = "|cfffff569DEF --------", notCheckable = true, isTitle = true},
			{ text = "dance", notCheckable = true, func = function() DoEmote("dance"); end},
			{ text = "drink", notCheckable = true, func = function() DoEmote("drink"); end},
			{ text = "flee", notCheckable = true, func = function() DoEmote("flee"); end},
			{ text = "flex", notCheckable = true, func = function() DoEmote("flex"); end},
			{ text = "flirt", notCheckable = true, func = function() DoEmote("flirt"); end},
			{ text = "|cfffff569GH ---------", notCheckable = true, isTitle = true},
			{ text = "gasp", notCheckable = true, func = function() DoEmote("gasp"); end},
			{ text = "giggle", notCheckable = true, func = function() DoEmote("giggle"); end},
			{ text = "growl", notCheckable = true, func = function() DoEmote("growl"); end},
			{ text = "healme", notCheckable = true, func = function() DoEmote("healme"); end},
			{ text = "hello", notCheckable = true, func = function() DoEmote("hello"); end},
			{ text = "helpme", notCheckable = true, func = function() DoEmote("helpme"); end},
			{ text = "|cfffff569IJK --------", notCheckable = true, isTitle = true},
			{ text = "incoming", notCheckable = true, func = function() DoEmote("incoming"); end},
			{ text = "insult", notCheckable = true, func = function() DoEmote("insult"); end},
			{ text = "kiss", notCheckable = true, func = function() DoEmote("kiss"); end},
			{ text = "kneel", notCheckable = true, func = function() DoEmote("kneel"); end}
		},
	},
	{ text = "Emotes L-Z", notCheckable = true, hasArrow = true, menuList = {
			{ text = "|cfffff569LMN --------", notCheckable = true, isTitle = true},
			{ text = "lost", notCheckable = true, func = function() DoEmote("lost"); end},
			{ text = "mourn", notCheckable = true, func = function() DoEmote("mourn"); end},
			{ text = "no", notCheckable = true, func = function() DoEmote("no"); end},
			{ text = "|cfffff569OPQ --------", notCheckable = true, isTitle = true},
			{ text = "oom", notCheckable = true, func = function() DoEmote("oom"); end},
			{ text = "point", notCheckable = true, func = function() DoEmote("point"); end},
			{ text = "|cfffff569R ----------", notCheckable = true, isTitle = true},
			{ text = "roar", notCheckable = true, func = function() DoEmote("roar"); end},
			{ text = "rofl", notCheckable = true, func = function() DoEmote("rofl"); end},
			{ text = "|cfffff569S ----------", notCheckable = true, isTitle = true},
			{ text = "salute", notCheckable = true, func = function() DoEmote("salute"); end},
			{ text = "sigh", notCheckable = true, func = function() DoEmote("sigh"); end},
			{ text = "silly", notCheckable = true, func = function() DoEmote("silly"); end},
			{ text = "sleep", notCheckable = true, func = function() DoEmote("sleep"); end},
			{ text = "surrender", notCheckable = true, func = function() DoEmote("surrender"); end},
			{ text = "|cfffff569T ----------", notCheckable = true, isTitle = true},
			{ text = "talk", notCheckable = true, func = function() DoEmote("talk"); end},
			{ text = "thank", notCheckable = true, func = function() DoEmote("thank"); end},
			{ text = "train", notCheckable = true, func = function() DoEmote("train"); end},
			{ text = "|cfffff569UVW --------", notCheckable = true, isTitle = true},
			{ text = "violin", notCheckable = true, func = function() DoEmote("violin"); end},
			{ text = "wait", notCheckable = true, func = function() DoEmote("wait"); end},
			{ text = "wave", notCheckable = true, func = function() DoEmote("wave"); end},
			{ text = "welcome", notCheckable = true, func = function() DoEmote("welcome"); end},
			{ text = "whistle", notCheckable = true, func = function() DoEmote("whistle"); end},
			{ text = "|cfffff569XYZ --------", notCheckable = true, isTitle = true},
			{ text = "yawn", notCheckable = true, func = function() DoEmote("yawn"); end}		
		},
	},
	{ text = "|cfffff569---------------", notCheckable = true, isTitle = true},
	{ text = "Unlock Frame", notCheckable = true, func = function() namespace.myUnLock(BGCallouts); end}
}
--END--------------------------------
